Package com.google.android.exoplayer2.audio

## Class Ac3Util.SyncFrameInfo

- java.lang.Object
- - com.google.android.exoplayer2.audio.Ac3Util.SyncFrameInfo

- Enclosing class:
    Ac3Util

      public static final class Ac3Util.SyncFrameInfo
      extends Object

  Holds sample format information as presented by a syncframe header.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `Ac3Util.SyncFrameInfo.StreamType` | AC3 stream types.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `channelCount` | The number of audio channels
    `int` | `frameSize` | The size of the frame.
    `String` | `mimeType` | The sample mime type of the bitstream.
    `int` | `sampleCount` | Number of audio samples in the frame.
    `int` | `sampleRate` | The audio sampling rate in Hz.
    `static int` | `STREAM_TYPE_TYPE0` | Type 0 AC3 stream type.
    `static int` | `STREAM_TYPE_TYPE1` | Type 1 AC3 stream type.
    `static int` | `STREAM_TYPE_TYPE2` | Type 2 AC3 stream type.
    `static int` | `STREAM_TYPE_UNDEFINED` | Undefined AC3 stream type.
    `int` | `streamType` | The type of the stream if `mimeType` is `MimeTypes.AUDIO_E_AC3`, or `STREAM_TYPE_UNDEFINED` otherwise.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STREAM_TYPE_UNDEFINED

          public static final int STREAM_TYPE_UNDEFINED

      Undefined AC3 stream type.
      See Also:
        Constant Field Values

    - #### STREAM_TYPE_TYPE0

          public static final int STREAM_TYPE_TYPE0

      Type 0 AC3 stream type.
      See Also:
        Constant Field Values

    - #### STREAM_TYPE_TYPE1

          public static final int STREAM_TYPE_TYPE1

      Type 1 AC3 stream type.
      See Also:
        Constant Field Values

    - #### STREAM_TYPE_TYPE2

          public static final int STREAM_TYPE_TYPE2

      Type 2 AC3 stream type.
      See Also:
        Constant Field Values

    - #### mimeType

          @Nullable
          public final String mimeType

      The sample mime type of the bitstream. One of `MimeTypes.AUDIO_AC3` and `MimeTypes.AUDIO_E_AC3`.

    - #### streamType

          @StreamType
          public final int streamType

      The type of the stream if `mimeType` is `MimeTypes.AUDIO_E_AC3`, or `STREAM_TYPE_UNDEFINED` otherwise.

    - #### sampleRate

          public final int sampleRate

      The audio sampling rate in Hz.

    - #### channelCount

          public final int channelCount

      The number of audio channels

    - #### frameSize

          public final int frameSize

      The size of the frame.

    - #### sampleCount

          public final int sampleCount

      Number of audio samples in the frame.